> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/pt/automatizacao/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md).

# Restringir ou levantar a restrição da execução de código

Restringir este dispositivo a código assinado pela Microsoft ou remover a restrição

### Descrição

Restringe este dispositivo por meio do Microsoft Defender for Endpoint para que apenas código assinado pela Microsoft possa ser executado, o que bloqueia ferramentas não assinadas que um invasor possa ter colocado nele. Também pode remover uma restrição existente. Forneça um motivo curto; ele é registrado com a ação no Defender.

### Localização

Dispositivo → Segurança → Restringir ou liberar execução de código

**Nome completo do Runbook**

rjgit-device\_security\_restrict-or-release-code-execution

### Detalhes

| Propriedade         | Valor                               |
| ------------------- | ----------------------------------- |
| Versão              | 1.0.1                               |
| Módulos necessários | RealmJoin.RunbookHelper (>= 0.8.10) |
| Agendável           | não                                 |

### Permissões

#### Permissões da aplicação

* **Tipo**: WindowsDefenderATP
  * Machine.Read.All
    * *Localiza a máquina do Microsoft Defender for Endpoint por meio de /machines filtrado por aadDeviceId*
  * Machine.RestrictExecution
    * *Aciona restrictCodeExecution ou unrestrictCodeExecution na máquina*

### Parâmetros

#### ID do dispositivo

ID do dispositivo Entra ID do dispositivo no qual o runbook atua. Definido pelo portal a partir do dispositivo selecionado.

| Propriedade       | Valor                                                  |
| ----------------- | ------------------------------------------------------ |
| Obrigatório       | verdadeiro                                             |
| Valor predefinido |                                                        |
| Tipo              | Cadeia de caracteres                                   |
| Oculto no portal  | sim (predefinido através da personalização do runbook) |

#### Libertar

Restringir permite que apenas código assinado pela Microsoft seja executado no dispositivo. Remover suspende uma restrição existente.

| Propriedade                | Valor      |
| -------------------------- | ---------- |
| Obrigatório                | verdadeiro |
| Valor predefinido          | Falso      |
| Tipo                       | Booleano   |
| Nome de exibição do portal | Ação       |

**Opções do portal**

| Opção do portal               | Valor      |
| ----------------------------- | ---------- |
| Restringir execução de código | falso      |
| Remover restrição de código   | verdadeiro |

#### Comentário

Motivo curto para a restrição ou sua remoção. Ele é armazenado com a ação no Microsoft Defender for Endpoint.

| Propriedade                | Valor                        |
| -------------------------- | ---------------------------- |
| Obrigatório                | verdadeiro                   |
| Valor predefinido          | Possível risco de segurança. |
| Tipo                       | Cadeia de caracteres         |
| Nome de exibição do portal | Motivo                       |

[Voltar à visão geral da referência do Runbook](/pt/automatizacao/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/pt/automatizacao/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
